#!/bin/sh

set -e

##functions.sh##

targetdir="$1"
self="$2"
flags="$3"

targets="common-account common-auth common-password common-session common-session-noninteractive"

for target in $targets; do
    $dry_run sed -i                                                         \
            -e '/[ \t]pam_krb5\.so\([ \t]\|$\)/{'                           \
            -e '    /[ \t]minimum_uid=/{'                                   \
            -e '        s/\([ \t]minimum_uid\)=1000\([^0-9]\|$\)/\1=110\2/' \
            -e '        b'                                                  \
            -e '    }'                                                      \
            -e '    s/[ \t]pam_krb5\.so/& minimum_uid=110/'                 \
            -e '}'                                                          \
        "$targetdir/$target"
done
